### Class

# Clutter StageView

#### Description

    class Clutter.StageView : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### clutter_stage_view_destroy

No description available.

###### clutter_stage_view_get_color_state

No description available.

###### clutter_stage_view_get_default_paint_flags

No description available.

###### clutter_stage_view_get_frame_clock

No description available.

###### clutter_stage_view_get_framebuffer

Retrieves the framebuffer of `view` to draw to.

###### clutter_stage_view_get_layout

No description available.

###### clutter_stage_view_get_offscreen_transformation_matrix

No description available.

###### clutter_stage_view_get_onscreen

Retrieves the onscreen framebuffer of `view` if available.

###### clutter_stage_view_get_output_color_state

No description available.

###### clutter_stage_view_get_refresh_rate

No description available.

###### clutter_stage_view_get_scale

No description available.

###### clutter_stage_view_get_transform

No description available.

###### clutter_stage_view_has_shadowfb

No description available.

###### clutter_stage_view_peek_scanout

No description available.

###### clutter_stage_view_schedule_update_now

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.StageView:color-state

No description available.

###### Clutter.StageView:framebuffer

No description available.

###### Clutter.StageView:layout

No description available.

###### Clutter.StageView:name

No description available.

###### Clutter.StageView:output-color-state

No description available.

###### Clutter.StageView:refresh-rate

No description available.

###### Clutter.StageView:scale

No description available.

###### Clutter.StageView:stage

No description available.

###### Clutter.StageView:transform

No description available.

###### Clutter.StageView:use-shadowfb

No description available.

###### Clutter.StageView:vblank-duration-us

No description available.

#### Signals

###### Clutter.StageView::destroy

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterStageViewClass {
      GObjectClass parent_class;
      ClutterFrame* (* new_frame) (
        ClutterStageView* view
      );
      ClutterPaintFlag (* get_default_paint_flags) (
        ClutterStageView* view
      );
      void (* schedule_update) (
        ClutterStageView* view
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`new_frame: ClutterFrame* (* new_frame) ( ClutterStageView* view )`

  No description available.

`get_default_paint_flags: ClutterPaintFlag (* get_default_paint_flags) ( ClutterStageView* view )`

  No description available.

`schedule_update: void (* schedule_update) ( ClutterStageView* view )`

  No description available.

#### Virtual methods

###### Clutter.StageViewClass.get_default_paint_flags

No description available.

###### Clutter.StageViewClass.new_frame

No description available.

###### Clutter.StageViewClass.schedule_update

No description available.